Vladimir Ivanov Fri, 11/29/2024 - 09:24 Forums: ModelingHello, please tell me. How to create and save (STEP) the cylinder shell, i.e. to have the top and bottom open, just one side surface Attachments: pic.jpg gkv311 n Fri, 11/29/2024 - 20:20 BRepPrimAPI_MakeCylinder aBuilder(100.0, 50.0); aBuilder.Build(); if (!aBuilder.IsDone()) { Error } TopoDS_Face aFace = aBuilder.Face(); ... STEPControl_Writer aWriter; if (aWriter.Transfer (aFace, STEPControl_AsIs) != IFSelect_RetDone) { Error } if (aWriter.Write ("cylinder.stp") != IFSelect_RetDone) { Error } Log in to post comments Vladimir Ivanov Mon, 12/02/2024 - 05:01 Thank you very much. I overdid it myself, I started using gp_Cylinder, convert to Surface etc. Everything turned out to be much simpler. Log in to post comments
Fri, 11/29/2024 - 20:20
Mon, 12/02/2024 - 05:01
Thank you very much. I overdid it myself, I started using gp_Cylinder, convert to Surface etc. Everything turned out to be much simpler.